# Update project bill rate

Updates the matching project bill rate.

Endpoint: PUT /projects/{project_id}/bill_rates/{bill_rate_id}
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: same as `Content-Type` (1 values)

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

  - `bill_rate_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

## Request fields (application/json):

  - `assignable_id` (integer,null)
    The ID of the project or phase to which the the bill rate applies.

> Note: Account-specific bill rates don't have an assignable_id value.
    Example: 1234

  - `user_id` (integer,null)
    The ID of a user to which the the bill rate applies.
    Example: 1001

  - `rate` (number)
    The cost value.
    Example: 100

  - `starts_at` (string,null)
    This user bill rate date indicates the rate's effective start date.

Note: This parameter is only applicable to user bill rates.
    Example: "2025-09-17"

  - `ends_at` (string,null)
    This user bill rate date indicates the rate's effective end date.

Note: This parameter is only applicable to user bill rates.
    Example: "2025-12-17"


